description

# MutationObserver class Null safety

Annotations
  - @SupportedBrowser(SupportedBrowser.CHROME)
  - @SupportedBrowser(SupportedBrowser.FIREFOX)
  - @SupportedBrowser(SupportedBrowser.SAFARI)
  - @Native("MutationObserver,WebKitMutationObserver")

## Constructors

MutationObserver(MutationCallback callback)
  factory

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

disconnect() → void
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
observe(Node target, {bool? childList, bool? attributes, bool? characterData, bool? subtree, bool? attributeOldValue, bool? characterDataOldValue, List<String>? attributeFilter}) → void
  Observes the target for the specified changes. [...]
takeRecords() → List<MutationRecord>
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited

## Static Properties

supported → bool
  Checks to see if the mutation observer API is supported on the current platform.
  read-only